Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002209KdenliveEffectspublic2011-07-02 03:372011-09-05 08:19
Reporterlordofthestrings 
Assigned Toj-b-m 
PriorityhighSeveritycrashReproducibilityalways
StatusassignedResolutionopen 
Platform64 bitOSUbuntuOS Version11.04
Product Version0.8 
Target VersionFixed in Version 
Summary0002209: Kdenlive crashes everytime "beziér curves" is selected
DescriptionKdenlive crashes everytime "beziér curves" is double clicked.
Steps To ReproduceOpen Kdenlive - add a clip to the resources window - drag the clip to the timeline - select it - double click on the effect "beziér curves" - crash
Additional InformationUsing Sunab's stable repository
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files? file icon kdenlive-20110702-032900.kcrash [^] (11,731 bytes) 2011-07-02 03:37 [Show Content]

- Relationships

-  Notes
(0007010)
j-b-m (administrator)
2011-07-03 13:26

This crash was reported to happen when frei0r is not properly compiled. There is an issue in frei0r that uses the installed frei0r.h header instead of the local one.

So if you compiled frei0r yourself, first remove the frei0r.h file from your install folder (/usr/include, /usr/local/include), then recompile frei0r, this should fix the crash
(0007013)
lordofthestrings (reporter)
2011-07-04 08:16

Thanks a lot for your quick reply. But what If I installed from Sunab stable repository? I did not compile Frei0r myself. Shall I have to uninstall (via Synaptic), remove frei0r.h (if it's still there) and install again?
(0007174)
ttill (developer)
2011-08-10 15:56

Does the problem still occur?
I guess the packages were recompiled a couple times in the mean time.
(0007193)
sunab (reporter)
2011-08-11 11:16

I have investigated this and I can confirm this problem is not related with an older install in /usr/local.

I have tested my kdenlive 0.8.0 package along with my latest Frei0r package in clean virtual machines => the bug is here in both i386 and amd64 arch.

Then I tested latest packages : kdenlive 0.8.1 r5830 with latest Frei0r => the bug is gone.

So it seems a commit between r5708 (0.8.0 release) and r5830 solves this issue.

Will try to find it and backport it.
(0007194)
sunab (reporter)
2011-08-11 12:19

Unable to find which commit solves this.

But found another clue: the crash only occurs when bézier curve effect is applied to a clip where the playhead is on, or when you drag the playhead over a clip where bézier curve is applied.

Again in some way it is fixed in trunk.
(0007198)
lordofthestrings (reporter)
2011-08-12 08:13

Thank you all for taking the time to look at this issue. Unfortunately it still happens to me but I think I can live with it for the moment and I can wait until release 0.8.2. From what I understand it has someway already been fixed.
Again, thank you all.
(0007280)
lordofthestrings (reporter)
2011-09-05 08:19

Just to let you know... I just re-installed Ubuntu 11.04 (I had a problem and couldn't fix it) but this issue is still there.
Ignazio

- Issue History
Date Modified Username Field Change
2011-07-02 03:37 lordofthestrings New Issue
2011-07-02 03:37 lordofthestrings File Added: kdenlive-20110702-032900.kcrash
2011-07-03 13:26 j-b-m Note Added: 0007010
2011-07-03 13:26 j-b-m Assigned To => j-b-m
2011-07-03 13:26 j-b-m Status new => feedback
2011-07-04 08:16 lordofthestrings Note Added: 0007013
2011-07-04 08:16 lordofthestrings Status feedback => assigned
2011-08-10 15:56 ttill Note Added: 0007174
2011-08-11 11:16 sunab Note Added: 0007193
2011-08-11 12:19 sunab Note Added: 0007194
2011-08-12 08:13 lordofthestrings Note Added: 0007198
2011-09-05 08:19 lordofthestrings Note Added: 0007280


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker